Get pod connections
curl --request GET \
--url https://api.aireserve.com/v1/gpu/pods/{id}/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/pods/{id}/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/pods/{id}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"available": true,
"sshConnectString": "<string>",
"sshUser": "<string>",
"sshHost": "<string>",
"sshPort": 123,
"proxyUrls": {}
}GPU Compute
Get pod connections
Returns SSH connection details and public proxy URLs for a running pod. Returns { available: false } when the pod is not yet running. Requires compute manage access.
GET
/
v1
/
gpu
/
pods
/
{id}
/
connections
Get pod connections
curl --request GET \
--url https://api.aireserve.com/v1/gpu/pods/{id}/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/pods/{id}/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/pods/{id}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"available": true,
"sshConnectString": "<string>",
"sshUser": "<string>",
"sshHost": "<string>",
"sshPort": 123,
"proxyUrls": {}
}Authorizations
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Path Parameters
Response
Connection details.
Connection details for a running pod. Requires compute manage access.
true when the pod is running and has connection details. false when the pod is not yet running.
Full ssh command to connect. Copy and run directly.
Map of container port numbers to public proxy URLs (https://{podId}-{port}.proxy.runpod.net). These URLs are publicly accessible — not protected by AI Reserve authentication.
Show child attributes
Show child attributes